Package org.eclipse.net4j.util.lifecycle

# Class LifecycleUtil.ReactivationTrigger

java.lang.Object
java.lang.Throwable
java.lang.Error
org.eclipse.net4j.util.lifecycle.LifecycleUtil.ReactivationTrigger

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `LifecycleUtil`

public static final class LifecycleUtil.ReactivationTrigger extends Error

Since:
  3.29
Author:
  Eike Stepper
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ReactivationTrigger(Object lifecycle)`

## Method Summary

Modifier and Type
Method
Description
`static LifecycleUtil.ReactivationTrigger`
`createFor(Object lifecycle)`
`boolean`
`isFor(Object lifecycle)`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ReactivationTrigger

public ReactivationTrigger(Object lifecycle)

## Method Details

### isFor

public boolean isFor(Object lifecycle)

### createFor

public static LifecycleUtil.ReactivationTrigger createFor(Object lifecycle)